OPENRCT2(6)

NAME
openrct2 - open source re-implementation of “RollerCoaster Tycoon 2”.

DESCRIPTION
OpenRCT2 is an open-source re-implementation of RollerCoaster Tycoon 2 (RCT2). The gameplay revolves around building and maintaining an amusement park containing attractions, shops and facilities. The player must try to make a profit and maintain a good park reputation whilst keeping the guests happy. OpenRCT2 allows for both scenario and sandbox play. Scenarios require the player to complete a certain objective in a set time limit whilst sandbox allows the player to build a more flexible park with optionally no restrictions or finance.

SYNOPSIS
openrct2 [-h | --help] [-v | --version] [--verbose]
openrct2 [uri]
openrct2 edit [uri]
openrct2 intro
openrct2 host uri [--address address] [--port port] [--password password] [--headless]
openrct2 join hostname [--port port] [--password password]
openrct2 set-rct2 path
openrct2 convert source destination
openrct2 scan-objects
openrct2 handle-uri openrct2://.../

openrct2 screenshot file output_image width height [x y zoom rotation]
openrct2 screenshot file output_image giant zoom rotation

openrct2 sprite append spritefile input [x_offset y_offset] [-m | --mode default|closest|dithering]
openrct2 sprite build spritefile json_path [silent]
openrct2 sprite create spritefile
openrct2 sprite details spritefile [idx]
openrct2 sprite export spritefile idx output
openrct2 sprite exportall spritefile output_directory

OPTIONS

-h | --help
    Print a summary of all options to stdout and exit.

-v | --version
    Show version information and exit.

-a | --all
    Show help for all commands.

--about
    Show information about openrct2.

--verbose
    Print diagnostic information to stdout.

--headless
    run openrct2 without a graphical window.

--port port
    Port to use for hosting or joining a server.

--address address
    Address to bind to when hosting a server.

--password password
    Password needed to join the server.

--user-data-path path
    Path to the user data directory (containing config.ini)

--openrct2-data-path path
    Path to the OpenRCT2 data directory (containing languages)

--rct1-data-path path
    path to the RollerCoaster Tycoon 1 data directory (containing data/csg1.dat)

--rct2-data-path path
    Path to the RollerCoaster Tycoon 2 data directory (containing data/g1.dat)

EXAMPLES

openrct2 ./my_park.sv6
    Open a saved park.

openrct2 https://openrct2.io/files/SnowyPark.sv6
    Download and open a saved park.

openrct2 host ./my_park.sv6 --port 11753 --headless
    Run a headless server for a saved park.

SEE ALSO
Official site: https://openrct2.io

GitHub: https://github.com/OpenRCT2/OpenRCT2

HISTORY
RollerCoaster Tycoon 2 was originally written by Chris Sawyer in x86 assembly and is the sequel to RollerCoaster Tycoon. The engine was based on Transport Tycoon, an older game which also has an equivalent open-source project, OpenTTD. OpenRCT2 attempts to provide everything from RCT2 as well as many improvements and additional features, some of these include support for modern platforms, an improved interface, improved guest and staff AI, more editing tools, increased limits, and cooperative multiplayer. It also re-introduces mechanics from RollerCoaster Tycoon that were not present in RollerCoaster Tycoon 2. Some of those include; mountain tool in-game, the "have fun" objective, launched coasters (not passing-through the station) and several buttons on the toolbar.